Name:		crda
Version:	3.18
Release:	1
Summary:	Software to upload wireless regulatory information into kernel
License:	ISC
Group:		System/Configuration/Hardware
URL:		http://linuxwireless.org/en/developers/Regulatory/CRDA
Source0:	http://wireless.kernel.org/download/crda/crda-%{version}.tar.xz
# From Fedora. 
# This script sets regulatory domain for a country based on the 
# current time zone.
# '/usr/sbin/iw' was replaced with just 'iw'.
Source1:	setregdomain
Source2:	setregdomain.1

Requires:	udev
Requires:	iw
Requires:	wireless-regdb
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	python-m2crypto
BuildRequires:	wireless-regdb

# Adapted from Fedora
# Add udev rule to call setregdomain on wireless device add.
Patch0:		regulatory-rules-setregdomain.patch
# Do not call ldconfig in crda Makefile explicitly.
Patch1:		crda-remove-ldconfig.patch

%description
CRDA acts as the udev helper for communication between the kernel and
userspace for regulatory compliance. It relies on nl80211 for
communication. CRDA is intended to be run only through udev
communication from the kernel. The user should never have to run it
manually except if debugging udev issues.

%files
%doc LICENSE README
%dir %{_prefix}/lib/crda
%{_mandir}/man1/setregdomain.1*
%{_mandir}/man8/crda.8*
%{_mandir}/man8/regdbdump.8*
/lib/udev/rules.d/85-regulatory.rules
%{_sbindir}/crda
# A symlink, in case any applications still need crda in /sbin
/sbin/crda
%{_sbindir}/regdbdump
%{_sbindir}/setregdomain
%{_libdir}/libreg.so
#---------------------------------------------------------------------------

%package devel
Summary:	Header files for use with libreg from CRDA
Group:		Development/C

%description devel
Header files to make use of libreg for accessing regulatory info.

%files devel
%{_includedir}/reglib/nl80211.h
%{_includedir}/reglib/regdb.h
%{_includedir}/reglib/reglib.h
#---------------------------------------------------------------------------

%prep
%setup -q
%apply_patches


%build
export CFLAGS="%{optflags}"
%make SBINDIR=%{_sbindir}/ LIBDIR=%{_libdir}


%install
%makeinstall_std \
	MANDIR=%{_mandir}/ SBINDIR=%{_sbindir}/ LIBDIR=%{_libdir}/

mkdir -p %{buildroot}%{_prefix}/lib/crda
install -D -pm 0755 %{SOURCE1} %{buildroot}%{_sbindir}
install -D -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/setregdomain.1

# Just in case any applications need crda exactly in /sbin
mkdir -p %{buildroot}/sbin/
ln -s %{_sbindir}/crda %{buildroot}/sbin/

%changelog
* Thu Mar 05 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 3.18-1
+ Revision: f9820b0
- Updated to version 3.18
- The code of crda was refactored, many fixes and optimizations were
- implemented.
- Besides that, a helper script, setregdomain (from Fedora), and the
- udev rule were added to make sure the regulatory domain is set
- properly for the given region.


